GetGitRevisionDescription error on old CMake (2.6) since 5fa68c1 #20

Closed
Reen opened this Issue Nov 27, 2013 · 2 comments

Comments

Projects
None yet
2 participants

Reen commented Nov 27, 2013

I'm having trouble with the changes from rev 5fa68c1 on a system running cmake 2.6-patch 4 (RHEL 6.4). A more recent cmake 2.8.11 works fine. The error message is:

CMake Error at cmake-modules/GetGitRevisionDescription.cmake:47 (get_filename_component):
  get_filename_component called with incorrect number of arguments
Owner

rpavlik commented Apr 15, 2015

Ah, yes, CMAKE_CURRENT_LIST_DIR is a newer addition. I'm not sure if it's worth the effort to go back and support 2.6 again, or just mark that this requires a newer version.

@rpavlik rpavlik changed the title from GetGitRevisionDescription error since 5fa68c1 to GetGitRevisionDescription error on old CMake (2.6) since 5fa68c1 Apr 15, 2015

Reen commented Apr 15, 2015

I think this bug is no longer relevant. All systems where I had the problematic script running now have a newer cmake. --> close

@Reen Reen closed this Apr 15, 2015

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment